### AniNIX Customizations ###
alias get-commands='for i in $( echo $PATH | sed "s/:/\n/g"); do ls $i; done | sort | less'
alias whoison='who | grep -v tmux'
function vncdesktop() {
    set -x
    if [ -z "$@" ]; then
        vncserver :2 -rfbport 5901
    else
        vncserver $@
    fi
    export DISPLAY=`vncserver -list | tail -n 1 | awk '{print $1; }' `
    sleep 3
    xfce4-session
    vncserver -kill "$DISPLAY"
    set +x
}
alias vi=vim
alias view="vim -R"
alias top="top -o %CPU"
alias make-entrypoints="grep -E '^[a-zA-Z0-9\-]*:' Makefile"
alias rdns="dig +short -x "
alias dns="dig +short " 
export WEECHAT_HOME=$HOME/.weechat
if [ -x `which torsocks 2>/dev/null` ] && [ `systemctl status tor 2>/dev/null| grep -c running` -eq 1 ]; then
    alias tor-lynx="torsocks lynx https://check.torproject.org/"; 
fi
IFS="
"
